%global pypi_name statsd
%bcond_without test

Summary:    A Python statsd client
Name:       python-%{pypi_name}
Version:    4.0.1
Release: 2%{?dist}

License:    MIT
URL:        https://github.com/jsocol/pystatsd
Source0:    %{pypi_source}

BuildArch:  noarch

BuildRequires: python3-devel python3-setuptools python3-mock
%if %{with test}
BuildRequires: python3-nose
%endif

%description
A python client for the statsd daemon.

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name}
A python client for the statsd daemon.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -rf %{pypi_name}.egg-info
rm -f requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with test}
%check
nosetests
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc AUTHORS README.rst
%{python3_sitelib}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 cunshunxia <cunshunxia@tencent.com> - 4.0.1-1
- initial build
